[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomDockForm.DoAddDockClient

Adds Client as a child control which fills the entire area for the docked form.

## Declaration

Source position: forms.pp line 963

`protected procedure TCustomDockForm.DoAddDockClient(`
`Client: TControl;`
`const ARect: TRect`
`); override;`

## Arguments

`Client` |  | Control added to the docked form instance.
`ARect` |  | Not used in the current implementation.

## Description

DoAddDockClient is an overridden method used to add the control in Client to the docked form. It calls the inherited method on entry to set the Parent in Client to the current class instance. It sets the Align property in Client to alAlign to align the control to the bounds for the docked form. Values in the BorderSpacing property in Client are reset to 0; the current class instance provides the BorderSpacing values for the docked control. At run-time, the Visible property is set to True to display the docked form after the Client has been added.

## See also

TWinControl.DoAddDockClient |  | Adjust the Parent of a newly docked Client.